# CUpti_ActivityExternalCorrelation Struct Reference
[CUPTI Activity API]

The activity record for correlation with external records. More...

## Data Fields
uint32_t | correlationId
uint64_t | externalId
CUpti_ExternalCorrelationKind | externalKind
CUpti_ActivityKind | kind
uint32_t | reserved

## Detailed Description

This activity record correlates native CUDA records (e.g. CUDA Driver API, kernels, memcpys, ...) with records from external APIs such as OpenACC. (CUPTI_ACTIVITY_KIND_EXTERNAL_CORRELATION).

See also:
  CUpti_ActivityKind

## Field Documentation

uint32_t CUpti_ActivityExternalCorrelation::correlationId

The correlation ID of the associated CUDA driver or runtime API record.

uint64_t CUpti_ActivityExternalCorrelation::externalId

The correlation ID of the associated non-CUDA API record. The exact field in the associated external record depends on that record's activity kind (

See also:
  externalKind).

CUpti_ExternalCorrelationKind CUpti_ActivityExternalCorrelation::externalKind

The kind of external API this record correlated to.

CUpti_ActivityKind CUpti_ActivityExternalCorrelation::kind

The kind of this activity.

uint32_t CUpti_ActivityExternalCorrelation::reserved

Undefined. Reserved for internal use.